Падает smolensk 1.6 после обновления безопасности

alecs-art

New member
Сообщения
10
#1
Старое российское ПО требует смоленск 1.6.
Виртуальная машина с конфой по умолчанию debian 8 ,. современные пакеты уровней безопасности esxi 6.5
Конфигурация базовые сервисы +shh

Установлен apache и местное repo
И с него же пытаемся заапдейтится
sudo apt update
sudo apt upgrade

deb http://172.xx.5.13:80/smolensk_main stable main contrib non-free
deb http://172.xx.5.13:80/smolensk_devel stable main contrib non-free
deb http://172.xx.5.13:80/smolensk_main_updates_20211008 stable main contrib non—free
deb http://172.xx.5.13:80/smolensk_devel_updates_20211008 stable main contrib non—free

при обновлении системы (systemd в частности):

Устанавливается новая версия файла настройки /etc/dbus-1/system.d/org.freedesktop.NetworkManager.Parsec.conf …
Устанавливается новая версия файла настройки /etc/init.d/dbus …
dbus-uuidgen: symbol lookup error: /lib/x86_64-linux-gnu/libdbus-1.so.3: undefined symbol: pdp_get_peer_label
dpkg: ошибка при обработке пакета dbus (--configure):
подпроцесс установлен сценарий post-installation возвратил код ошибки 127
Обрабатываются триггеры для libc-bin (2.24-11+deb9u3) …
Обрабатываются триггеры для systemd (232-25+deb9u2astra.se14) …
При обработке следующих пакетов произошли ошибки:
dbus
E: Sub-process /usr/bin/dpkg returned an error code (1)
administrator@repo:~$

- Ломается сервис login , система неработоспособна.
Естественно с нуля переустанавливали.
 
Последнее редактирование:

Vosiley

New member
Сообщения
53
#2
С apt у них не задалось, специально для обновления написали свою утилиту astra-update. Через нее пока все нормально обновляется.